diff -Nru 1/src/xjava/security/IJCE.java 2/src/xjava/security/IJCE.java
--- 1/src/xjava/security/IJCE.java	2000-08-17 14:35:24.000000000 +0300
+++ 2/src/xjava/security/IJCE.java	2008-01-27 19:53:48.000000000 +0200
@@ -195,9 +195,9 @@
 
         String typedot = type + ".";
         Vector algorithms = new Vector();
-        Enumeration enum = provider.propertyNames();
-        while (enum.hasMoreElements()) {
-            String key = (String) (enum.nextElement());
+        Enumeration enum1 = provider.propertyNames();
+        while (enum1.hasMoreElements()) {
+            String key = (String) (enum1.nextElement());
             if (key.startsWith(typedot))
                 algorithms.addElement(key.substring(typedot.length()));
         }
@@ -236,18 +236,18 @@
         Provider[] providers = getProvidersInternal();
 
         for (int i = 0; i < providers.length; i++) {
-            Enumeration enum = providers[i].propertyNames();
-            while (enum.hasMoreElements()) {
-                String key = (String) (enum.nextElement());
+            Enumeration enum1 = providers[i].propertyNames();
+            while (enum1.hasMoreElements()) {
+                String key = (String) (enum1.nextElement());
                 if (key.startsWith(typedot))
                     algorithms.put(key.substring(typedot.length()), "");
             }
         }
         String[] buf = new String[algorithms.size()];
-        Enumeration enum = algorithms.keys();
+        Enumeration enum1 = algorithms.keys();
         int n = 0;
-        while (enum.hasMoreElements())
-            buf[n++] = (String) (enum.nextElement());
+        while (enum1.hasMoreElements())
+            buf[n++] = (String) (enum1.nextElement());
 
         return buf;
     }
